'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    default: {
        type: 'aes',
        options: {
            expires: 60 * 60 * 24 * 365,
            id: 'JHASESSID',
            secret: 'jinghuanjs'
        }
    },
    db: {
        type: 'db',
        options: {
            expires: 60 * 60 * 24 * 365,
            db_type: 'default',
            table: 'jh_session',
            id: 'JHDSESSID'
        }
    },
    jwt: {
        type: 'jwt',
        options: {
            expires: 60 * 60 * 24 * 365,
            id: 'JHJSESSID',
            secret: 'jinghuanjs'
        }
    },
    aes: {
        type: 'aes',
        options: {
            expires: 60 * 60 * 24 * 365,
            id: 'JHASESSID',
            secret: 'jinghuanjs'
        }
    }
};

function _safeRequire(obj) {
    if (typeof obj === 'string') {
        try {
            obj = require(obj);
        } catch (e) {
            console.error(e);
            obj = null;
        }
    }

    return obj && obj.__esModule && typeof obj.default !== "undefined" ? obj.default : obj;
}